# -*- encoding: utf-8 -*-
# stub: faraday-cookie_jar 0.0.6 ruby lib

Gem::Specification.new do |s|
  s.name = "faraday-cookie_jar"
  s.version = "0.0.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tatsuhiko Miyagawa"]
  s.date = "2016-01-14"
  s.description = "Cookie jar middleware for Faraday"
  s.email = ["miyagawa@bulknews.net"]
  s.files = [".gitignore", "CHANGELOG.md", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "faraday-cookie_jar.gemspec", "lib/faraday-cookie_jar.rb", "lib/faraday/cookie_jar.rb", "lib/faraday/cookie_jar/version.rb", "spec/faraday-cookie_jar/cookie_jar_spec.rb", "spec/spec_helper.rb", "spec/support/fake_app.rb"]
  s.homepage = "https://github.com/miyagawa/faraday-cookie_jar"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "Manages client-side cookie jar for Faraday HTTP client"
  s.test_files = ["spec/faraday-cookie_jar/cookie_jar_spec.rb", "spec/spec_helper.rb", "spec/support/fake_app.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, [">= 0.7.4"])
      s.add_runtime_dependency(%q<http-cookie>, ["~> 1.0.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<sinatra>, [">= 0"])
      s.add_development_dependency(%q<sham_rack>, [">= 0"])
    else
      s.add_dependency(%q<faraday>, [">= 0.7.4"])
      s.add_dependency(%q<http-cookie>, ["~> 1.0.0"])
      s.add_dependency(%q<bundler>, ["~> 1.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<sinatra>, [">= 0"])
      s.add_dependency(%q<sham_rack>, [">= 0"])
    end
  else
    s.add_dependency(%q<faraday>, [">= 0.7.4"])
    s.add_dependency(%q<http-cookie>, ["~> 1.0.0"])
    s.add_dependency(%q<bundler>, ["~> 1.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<sinatra>, [">= 0"])
    s.add_dependency(%q<sham_rack>, [">= 0"])
  end
end
